%define oname	ladspa_sdk

Summary:	LADSPA SDK example plugins
Name:		ladspa
Version:	1.17
Release:	%mkrel 1
Source0:	https://www.ladspa.org/download/%{oname}_%version.tgz
Source1:	ladspa.sh.bz2
Source2:	ladspa.csh.bz2
License:	LGPLv2+
Group:		Sound/Utilities
URL:		https://www.ladspa.org/

#for mkdirhier
BuildRequires:	imake
BuildRequires:  pkgconfig(sndfile)

%description
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

This package contains the example plugins from the LADSPA SDK.

%package devel
Summary:	Linux Audio Developer's Simple Plugin API
Group:		Development/C
Requires:	%name = %version

%description devel
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

Definitive technical documentation on LADSPA plugins for both the host
and plugin is contained within copious comments within the ladspa.h
header file.

%prep
%setup -q -n %{oname}_%{version}

# respect RPM_OPT_FLAGS
perl -pi -e 's/-Wall -Werror -O2/\$\(RPM_OPT_FLAGS\)/' src/Makefile

cd doc
#fix links to the header file in the docs
perl -pi -e "s!HREF=\"ladspa.h.txt\"!href=\"file:///usr/include/ladspa.h\"!" *.html

%build
%make_build -C src targets LD="ld --build-id"

%install
%make_install -C src \
	INSTALL_PLUGINS_DIR=%buildroot%_libdir/ladspa \
	INSTALL_INCLUDE_DIR=%buildroot%_includedir \
	INSTALL_BINARY_DIR=%buildroot%_bindir

install -d -m 755 %buildroot%_sysconfdir/profile.d

bzcat %SOURCE1 > %buildroot%_sysconfdir/profile.d/ladspa.sh
bzcat %SOURCE2 > %buildroot%_sysconfdir/profile.d/ladspa.csh

#gw replace lib by lib64 if needed
perl -pi -e "s!/usr/lib!%_libdir!" %buildroot%_sysconfdir/profile.d/ladspa*sh

%files
%doc doc/COPYING
%attr(644,root,root) %_sysconfdir/profile.d/ladspa*sh
%_libdir/ladspa
%_bindir/*

%files devel
%doc doc/*.html doc/COPYING
%_includedir/ladspa.h


%changelog
* Sat Dec 03 2022 eatdirt <eatdirt> 1.17-1.mga9
+ Revision: 1916161
- Update to version 1.17

* Tue Mar 15 2022 umeabot <umeabot> 1.15-2.mga9
+ Revision: 1793324
- Mageia 9 Mass Rebuild

* Wed Dec 02 2020 luigiwalser <luigiwalser> 1.15-1.mga8
+ Revision: 1651831
- 1.15

* Fri Feb 14 2020 umeabot <umeabot> 1.13-13.mga8
+ Revision: 1520540
- Mageia 8 Mass Rebuild

* Wed Nov 28 2018 umeabot <umeabot> 1.13-12.mga7
+ Revision: 1336548
- Mageia 7 Mass Rebuild

* Wed Aug 30 2017 daviddavid <daviddavid> 1.13-11.mga7
+ Revision: 1148531
- honor user CFLAGS thus fixing empty debugsourcefiles.list

* Fri Feb 05 2016 umeabot <umeabot> 1.13-10.mga6
+ Revision: 938674
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.13-9.mga5
+ Revision: 745357
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.13-8.mga5
+ Revision: 681264
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.13-7.mga4
+ Revision: 506799
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.13-6.mga3
+ Revision: 356634
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 barjac <barjac> 1.13-5.mga3
+ Revision: 344281
- update group
- spec clean

* Tue Jan 18 2011 tmb <tmb> 1.13-4.mga1
+ Revision: 23105
- imported package ladspa

